Subject: lapack

From: [email-masked] (Randy Boehm)
Date: Mon, 25 Apr 94 11:51:38 -0400

Dear Netters

    I am hoping that someone on this list will be able to help me.
I've recently pulled a routine (DGELS) from lapack, formerly eispack, 
which is suposed to do a general linear least squares fit.  However, 
when "netlib" sends a routine to me it sends only 1 routine at a time. 

    Working on a piece by piece basis I have been able to retrieve
a total of 21 routines that are called by the DGELS package, but 
there are at least 10 more routines that I have not been able to
retrieve--that is netlib won't send them.

    Can anyone tell me where I can get ahold of the LAPACK routines:

dlamc2  
dtrsm
dtrmm
dtrmv
dgemm
dgemv
dcopy
dger
dscal
dnrm2

   The first 9 on the list are subroutines and dnrm2 is a function.

					Many Thanks in advance,

					Randall C. Boehm, Scientist
					Michigan State Univerity
					COMMOC

---

From: [email-masked] (Dr. Tom Pierce)
Date: Mon, 25 Apr 1994 13:03:25 +22305458 (EDT)

> retrieve--that is netlib won't send them.

The easiest interface to netlib is xnetlib, an X-windows interface
that allows you to select all dependent routines interactively. 
And then copy them locally with a single command. 

Without this package, I imagine that you will have to get the routines
one-at-a-time or request netlib to mail you all of LAPACK. 

-- 
Sincerely, Thomas Pierce - [email-masked]  -  Computational Chemist
"These opinions are those of the writer and not the Rohm and Haas Company."